% průmět počtu pixelů do přímky
function [prumety, pozice] = funkce_prumet(obrazek,VneboH)

[pocet_radku,pocet_sloupcu] = size(obrazek);
% vyber jestli bude horizontalni nebo vertikalni
switch VneboH
    case {'H'}  
        prumety(1:pocet_sloupcu) = sum(obrazek(:,1:pocet_sloupcu));
        chyba = 0;%pocet_sloupcu/100;
    case {'V'}
        for i = 1:pocet_radku
            prumety(i) = sum(obrazek(i,:)); %neco jako histogram obrazku
        end
        chyba = 0;%pocet_radku/100;
end

% určí pozice kde jsou mezery mezi znaky
pozice(1) = 1;                % definuje první sloupec
k = 2;                        % zapisování pozice od druhého indexu

for i = 1:(length(prumety)-1)
    % uprava pokud jsou hodnoty zaporne
    if prumety(i) < 0
        prumety(i) = -prumety(i);
    end
    % definuje zacatek pismene
    if prumety(i) <= chyba && prumety(i+1) > chyba 
        pozice(k) = i+1;
        k = k + 1;
    % definuje konec pismene
    elseif prumety(i) > chyba && prumety(i+1) <= chyba 
        pozice(k) = i;
        k = k + 1;       
    end
end

% definuje poslední sloupec
pozice(length(pozice)+1) = length(prumety); 

% % přeskládání pozice pokud je na druhé pozici 1
if pozice(1) == pozice(2)
    pozice = pozice(2:end);
end

end